All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.html
Interface TreeViewStyleKeysInterface

All Known Implementing Classes:
  JDBCToTreeViewModelAdapter, JDBCToTreeViewModelAdapter.LevelTreeNode, TreeNode, TreeView

    public interface TreeViewStyleKeysInterface

The class contains constants used as keys into the style map used by the TreeView.

See Also:
  `TreeView`, `ComplexStyleInterface`

Field Summary
`static java.lang.String` | `TREEVIEW_BACKGROUND_IMAGE` Key for the style used for the normally sized background node's images when PROGRESSIVE There is no default value
`static java.lang.String` | `TREEVIEW_BACKGROUND_IMAGE1` Key for the style used for the smaller background node's images when PROGRESSIVE There is no default value
`static java.lang.String` | `TREEVIEW_CURSOR_HAND` Key for the style used for the 'cursor hand' when PROGRESSIVE There is no default value
`static java.lang.String` | `TREEVIEW_DESCRIPTION` Key for the style used for the description part of the text for a node.
`static java.lang.String` | `TREEVIEW_DISABLED` Key for the style used for a node which has been disabled.
`static java.lang.String` | `TREEVIEW_DIV_IMAGE_SPACE` Key for the style used to control the spacing between the +/- and the node image for the DIV version of the TreeView Value defaults to treeDivImageSpace
`static java.lang.String` | `TREEVIEW_FLOAT` Key for the style used for the DIV holding the left part of the node when PROGRESSIVE and the node's text spans on multiple rows There is no default value
`static java.lang.String` | `TREEVIEW_IMAGE` Key for the style used for the node image (or icon).
`static java.lang.String` | `TREEVIEW_IMAGE_SPACE` Key for the style used to control the spacing between the +/- and the node image Value defaults to treeImageSpace
`static java.lang.String` | `TREEVIEW_LINK` Key for the style used for node text which is linked to a URL.
`static java.lang.String` | `TREEVIEW_LINKACTIVE` Key for the style used for node text which is selected and linked to a URL.
`static java.lang.String` | `TREEVIEW_PANE` Key for the style used for div which surrounds the TreeView.
`static java.lang.String` | `TREEVIEW_SELECTED` Key for the style used for a node which has been selected.
`static java.lang.String` | `TREEVIEW_TABLE` Key for the style used for the table which surrounds the plus/minus lines of the TreeView.
`static java.lang.String` | `TREEVIEW_TEXT` Key for the style used for node text which is not linked to a URL.

Field Detail

### TREEVIEW_TEXT

    static final java.lang.String TREEVIEW_TEXT

  Key for the style used for node text which is not linked to a URL. Value defaults to treeText

  See Also:
    Constant Field Values

### TREEVIEW_SELECTED

    static final java.lang.String TREEVIEW_SELECTED

  Key for the style used for a node which has been selected. Value defaults to treeSelected.

  See Also:
    Constant Field Values

### TREEVIEW_DISABLED

    static final java.lang.String TREEVIEW_DISABLED

  Key for the style used for a node which has been disabled. Value defaults to treeDisabled.

  See Also:
    Constant Field Values

### TREEVIEW_DESCRIPTION

    static final java.lang.String TREEVIEW_DESCRIPTION

  Key for the style used for the description part of the text for a node. Value defaults to treeDescription.

  See Also:
    Constant Field Values

### TREEVIEW_IMAGE

    static final java.lang.String TREEVIEW_IMAGE

  Key for the style used for the node image (or icon). Value defaults to treeImage.

  See Also:
    Constant Field Values

### TREEVIEW_LINK

    static final java.lang.String TREEVIEW_LINK

  Key for the style used for node text which is linked to a URL. Value defaults to treeLink

  See Also:
    Constant Field Values

### TREEVIEW_LINKACTIVE

    static final java.lang.String TREEVIEW_LINKACTIVE

  Key for the style used for node text which is selected and linked to a URL. Value defaults to treeLinkActive

  See Also:
    Constant Field Values

### TREEVIEW_PANE

    static final java.lang.String TREEVIEW_PANE

  Key for the style used for div which surrounds the TreeView. Value defaults to treeLinkActive

  See Also:
    Constant Field Values

### TREEVIEW_TABLE

    static final java.lang.String TREEVIEW_TABLE

  Key for the style used for the table which surrounds the plus/minus lines of the TreeView. There is no default value

  See Also:
    Constant Field Values

### TREEVIEW_FLOAT

    static final java.lang.String TREEVIEW_FLOAT

  Key for the style used for the DIV holding the left part of the node when PROGRESSIVE and the node's text spans on multiple rows There is no default value

  See Also:
    Constant Field Values

### TREEVIEW_BACKGROUND_IMAGE

    static final java.lang.String TREEVIEW_BACKGROUND_IMAGE

  Key for the style used for the normally sized background node's images when PROGRESSIVE There is no default value

  See Also:
    Constant Field Values

### TREEVIEW_BACKGROUND_IMAGE1

    static final java.lang.String TREEVIEW_BACKGROUND_IMAGE1

  Key for the style used for the smaller background node's images when PROGRESSIVE There is no default value

  See Also:
    Constant Field Values

### TREEVIEW_CURSOR_HAND

    static final java.lang.String TREEVIEW_CURSOR_HAND

  Key for the style used for the 'cursor hand' when PROGRESSIVE There is no default value

  See Also:
    Constant Field Values

### TREEVIEW_IMAGE_SPACE

    static final java.lang.String TREEVIEW_IMAGE_SPACE

  Key for the style used to control the spacing between the +/- and the node image Value defaults to treeImageSpace

  See Also:
    Constant Field Values

### TREEVIEW_DIV_IMAGE_SPACE

    static final java.lang.String TREEVIEW_DIV_IMAGE_SPACE

  Key for the style used to control the spacing between the +/- and the node image for the DIV version of the TreeView Value defaults to treeDivImageSpace

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.